import * as $dara from '@darabonba/typescript';
export declare class GetFileProtectClientEventDashboardResponseBodyDataFilePathStats extends $dara.Model {
    /**
     * @example
     * /usr/a
     */
    key?: string;
    /**
     * @example
     * 10
     */
    num?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetFileProtectClientEventDashboardResponseBodyDataFileTypeStats extends $dara.Model {
    /**
     * @example
     * txt
     */
    key?: string;
    /**
     * @example
     * 60
     */
    num?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetFileProtectClientEventDashboardResponseBodyDataProcessNameStats extends $dara.Model {
    /**
     * @example
     * test
     */
    key?: string;
    /**
     * @example
     * 50
     */
    num?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetFileProtectClientEventDashboardResponseBodyData extends $dara.Model {
    filePathStats?: GetFileProtectClientEventDashboardResponseBodyDataFilePathStats[];
    fileTypeStats?: GetFileProtectClientEventDashboardResponseBodyDataFileTypeStats[];
    /**
     * @example
     * 12
     */
    oneDayFileChangeCount?: number;
    processNameStats?: GetFileProtectClientEventDashboardResponseBodyDataProcessNameStats[];
    /**
     * @example
     * 33
     */
    recentFileChangeCount?: number;
    /**
     * @example
     * 4
     */
    serverCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetFileProtectClientEventDashboardResponseBody extends $dara.Model {
    data?: GetFileProtectClientEventDashboardResponseBodyData;
    /**
     * @remarks
     * Id of the request
     *
     * @example
     * F5CF78A7-30AA-59DB-847F-13EE3AE7****
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
